Package com.databricks.jdbc.core

## Class ChunkExtractor

- java.lang.Object
- - com.databricks.jdbc.core.ChunkExtractor

    public class ChunkExtractor
    extends Object

Class to manage inline Arrow chunks

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `hasNext()`
`ArrowResultChunk` `next()`
`void` `releaseChunk()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### hasNext

    public boolean hasNext()

#### next

    public ArrowResultChunk next()

#### releaseChunk

    public void releaseChunk()